Hello our valued visitor, We present you the best web solutions and high quality graphic designs with a lot of features. just login to your account and enjoy ...

Что бы обновить PHPMailer до версии 5.2.22, в которой исправлена уязвимость CVE-2017-5223 необходимо сделать следующее:

1. Идем на гитхаб и скачиваем 3 файла:

class.phpmailer.php
class.pop3.php
class.smtp.php

2. Потом переименовываем файлы:

class.phpmailer.php  --> phpmailer.php
class.pop3.php  -->  pop3.php     
class.smtp.php  -->  smtp.php

3. В файле phpmailer.php исправляем

public $CharSet = 'iso-8859-1';

на

public $CharSet = 'utf-8';

4. Затем заходим на сайте в каталог libraries/phpmailer/ и перезаписываем готовые файлы поверх старых.